<id>
Off Topic Tag for YaBB 2.6.11
</id>

<version>
1.7
</version>

<mod info>
Adds an Off Topic Tag to YaBB 2.6.11

History
1.0 - Original Version by Derek Barnstorm for YaBB 2.2.1 - 2.2.3 - 23rd September 2008
1.1  - Updated for YaBB 2.3 - 14th October 2008
1.2  - Updated for YaBB 2.4 - 15th April 2009
1.3 - Updated for YaBB 2.6.0 Feb 25, 2014 by DA Rorabaugh (Dandello)
1.4 - updated for Build 1530 Aug 14, 2014 by DA Rorabaugh (Dandello)
1.5 - updated for Yabb 2.6.1 Sep 2, 2014 by DA Rorabaugh (Dandello)
1.6 - typo fix 9/14/2014
1.7 - updated for Yabb 2.6.11 Jan 5, 2015 by DA Rorabaugh (Dandello)

Files to edit
Admin/ModList.pm
Languages/English/ContextHelp.lng
Languages/English/InstantMessage.lng
Languages/English/Main.lng
Languages/English/Post.lng
Sources/ContextHelp.pm
Sources/PostBox.pm
Sources/Printpage.pm
Sources/YaBBC.pm
public_html/yabbfiles/ubbc.js
public_html/yabbfiles/default.css

Instructions: modify files using BoardMod or by hand editing.
BoardMod will find ubbc.js and default.css if they are both in 'public_html/yabbfiles'

Upload offtopic.png to yabbfiles/ModImages (binary)
</mod info>

<author>
Derek Barnstorm, updated for 2.6.11 by Dandello
</author>

<homepage>
http://www.yabbforumsoftware.com
</homepage>

<edit file>
Admin/ModList.pm
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
    $offtopic_mod = 'Off Topic Tag|Derek Barnstorm, updated by Dandello|Adds an Off Topic Tag to YaBB|1.7|01/05/2015';
    push @installed_mods, $offtopic_mod;
</add before>

<edit file>
Languages/English/InstantMessage.lng
</edit file>

<search for>
1;
</search for>

<add before>

## off topic text
%offtopic_txt    =(
'01' => 'Off Topic Comment',
);

</add before>

<edit file>
Languages/English/ContextHelp.lng
</edit file>

<search for>
1;
</search for>

<add before>
$contextxt{'offtopic'} = "Mark an Off Topic Comment:<br /><br />Select the text: bla bla [SELECT]Hello World[/SELECT] bla bla<br /><br />Click on the \"[TITLE]\" button: [BUTTON]<br /><br /><b>YaBBC Code:</b> bla bla [offtopic]Hello World[/offtopic] bla bla<br /><br /><b>Result:</b> bla bla [OFFTOPIC]Hello World[/OFFTOPIC] bla bla";
</add before>

<edit file>
Languages/English/Main.lng
</edit file>

<search for>
1;
</search for>

<add before>

## off topic text
%offtopic_txt   =(
'01' => 'Off Topic Comment',
);

</add before>

<edit file>
Languages/English/Post.lng
</edit file>

<search for>
1;
</search for>

<add before>

## off topic text
%offtopic_txt =(
'01' => 'Off Topic Comment',
);

</add before>

<edit file>
Sources/ContextHelp.pm
</edit file>

<search for>
        document.getElementById("contexttitle").innerHTML = contextimage + ' ' + contitle;
</search for>

<add before>
        contexthelp = contexthelp.replace(/\\[OFFTOPIC\\](.*?)\\[\\/OFFTOPIC\\]/g, '<fieldset class=\"otfieldset\"><legend class=\"otlegend\">Off Topic Comment</legend>\$1</fieldset>');
</add before>

<edit file>
Sources/PostBox.pm
</edit file>

<search for>
    );
    ## Mod Hook for UBBC ##
</search for>

<add before>
            'offtopic' => "offtopic.png|offtopic()|$offtopic_txt{'01'}",
</add before>

<edit file>
Sources/Printpage.pm
</edit file>

<search for>
    $threadpost =~ s/\[move\](.*?)\[\/move\]/$1/isgxm;
</search for>

<add after>
    $threadpost =~ s/\[offtopic\](.*?)\[\/offtopic\]/<fieldset><legend><b>$offtopic_txt{'01'}<\/b><\/legend>$1<\/fieldset>/isgxm;
</add after>

<edit file>
Sources/YaBBC.pm
</edit file>

<search for>
    $message =~
      s/( |&nbsp;)*\[move\](.*?)\[\/move\]/<marquee>$2<\/marquee>/isgm;
</search for>

<add after>
    $message =~ 
      s/\[offtopic\](.*?)\[\/offtopic\]/<fieldset class="otfieldset"><legend class="otlegend">$offtopic_txt{'01'}<\/legend>$1<\/fieldset>/isgm;
</add after>

<edit file>
..\..\public_html\yabbfiles\ubbc.js
</edit file>

<search for>
function move() {
    AddSelText("[move]","[/move]");
}
</search for>

<add after>

function offtopic() {
    AddSelText("[offtopic]","[/offtopic]");
}

</add after>

<edit file>
..\..\public_html\yabbfiles\Templates\Forum\default.css
</edit file>

<search for>
.editbg {
    background-color: #fffedf;
    border: 1px #c00 solid;
    color: #000;
    font-family: Verdana, Helvetica, Arial, Sans-Serif;
    font-size: 11px;
    font-style: normal;
    font-weight: 400;
    padding: 4px;
    width: 90%;
}
</search for>

<add after>
.otfieldset {
    font-size: 12px;
    font-weight: normal;
    font-style: normal;
    font-family: Verdana, Helvetica, Arial, Sans-Serif;
    color: #304B58;
    border: 1px #34689A solid;
    width: 90%;
    padding: 4px;
}

.otlegend {
    font-size: 12px;
    font-weight: bold;
    font-style: normal;
    font-family: Verdana, Helvetica, Arial, Sans-Serif;
    color: #304B58;
    text-align: left;
}
</add after>
